from pydantic import BaseModel


class MobileNumberBase(BaseModel):
    rid: int
    enabled: int
    dateline: int | None = None


class MobileNumberCreate(MobileNumberBase):
    pass


class MobileNumber(MobileNumberBase):
    id: int

    class Config:
        from_attributes = True