from pydantic import BaseModel

class NewsReplyBase(BaseModel):
    Rid: int
    ParentId: int
    Title: str
    Author: str
    Description: str
    Thumb: str
    Content: str
    Url: str
    Displayorder: int
    Incontent: bool
    Createtime: int
    MediaId: str

class NewsReplyCreate(NewsReplyBase):
    pass

class NewsReply(NewsReplyBase):
    Id: int

    class Config:
        orm_mode = True