from sqlalchemy import Column, Integer
from sqlalchemy.dialects.mysql import TINYINT
from mooc.db.database import Base


class MobileNumber(Base):
    __tablename__ = "ims_mobilenumber"

    id = Column(Integer, primary_key=True)
    rid = Column(Integer, nullable=False)
    enabled = Column(TINYINT(unsigned=True), nullable=False)
    dateline = Column(Integer, nullable=True)

    class Config:
         from_attributes = True