from pydantic import BaseModel

class CoverReplyBase(BaseModel):
    uniacid: int
    multiid: int
    rid: int
    module: str
    do: str
    title: str
    description: str
    thumb: str
    url: str

class CoverReplyCreate(CoverReplyBase):
    pass

class CoverReplyUpdate(CoverReplyBase):
    pass

class CoverReply(CoverReplyBase):
    id: int

    class Config:
        orm_mode = True