from pydantic import BaseModel

class RuleBase(BaseModel):
    Uniacid: int
    Name: str
    Module: str
    Displayorder: int
    Status: int
    Containtype: str

class RuleCreate(RuleBase):
    pass

class Rule(RuleBase):
    Id: int

    class Config:
        orm_mode = True